Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354444 - [ja_JP, de_DE, ko_KR] Unlocalized tool-tips on options->edit options page
Summary: [ja_JP, de_DE, ko_KR] Unlocalized tool-tips on options->edit options page
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.1.0.3
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ovirt-4.2.2
: ---
Assignee: Scott Dickerson
QA Contact: samuel macko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 10:41 UTC by Bhushan Barve
Modified: 2018-02-24 00:02 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-24 00:02:06 UTC
oVirt Team: UX
gshereme: ovirt-4.2?
bbarve: planning_ack?
oourfali: devel_ack+
bbarve: testing_ack+


Attachments (Terms of Use)
jpn1 (deleted)
2016-07-11 10:41 UTC, Bhushan Barve
no flags Details
jpn2 (deleted)
2016-07-11 10:42 UTC, Bhushan Barve
no flags Details
key to translate in Zanata for ovirt-4.2 (deleted)
2018-02-23 23:48 UTC, Scott Dickerson
no flags Details

Description Bhushan Barve 2016-07-11 10:41:49 UTC
Created attachment 1178342 [details]
jpn1

Description of problem: Need to translate tool-tips on options->edit options page. As per the translator's comment in tcms - 

Found 2 x unlocalized tool tips in "Edit Options" dialog which is accessible from sign-in menu > Options.
One for "Connect Automatically" and the other for "User's Public Key". Both unlocalized and strings are not in Zanata. Attaching 2 screenshots. 

The translation is not available in zanata as per the translator's comment. Hence assigning it to the L10n lead for RHEV.


Version-Release number of selected component (if applicable):
 Red Hat Enterprise Virtualization Manager バージョン: 4.0.2-0.2.rc1.el7ev 

How reproducible:
always

Steps to Reproduce:
1. login with ja_JP locale to admin portal
2. go to options->edit options from the drop-down under logged-in user.
3. check the two tool-tips on the page.

Actual results:
The tool-tips are not translated.

Expected results:
The tool-tips should be translated.

Additional info:

Comment 1 Bhushan Barve 2016-07-11 10:42:50 UTC
Created attachment 1178343 [details]
jpn2

Comment 2 Krishna Babu K 2016-07-15 09:14:47 UTC
Tool tip messages are not translated for de_DE and ko_KR locales as well.

Comment 3 Krishna Babu K 2016-08-05 09:52:58 UTC
This bug reproduced with RHEVM 4.0.2.4-0.1.

Comment 4 Scott Dickerson 2018-02-23 23:48:21 UTC
Created attachment 1400052 [details]
key to translate in Zanata for ovirt-4.2

Comment 5 Scott Dickerson 2018-02-23 23:49:32 UTC
(In reply to Scott Dickerson from comment #4)
> Created attachment 1400052 [details]
> key to translate in Zanata for ovirt-4.2

The "Specify public key for SSH authentication..." tooltip is currently localizeable under the key:
   consolePublicKeyMessage

in file:
   frontend/webadmin/modules/gwt-common/src/main/resources/org/ovirt/engine/ui/common/CommonApplicationConstants.properties

Comment 6 Scott Dickerson 2018-02-24 00:02:06 UTC
The "if ovirt-engine has the user's password ... User Portal login" tooltip was removed along with the connect automatically check box in October 2017 [1].

[1] - https://gerrit.ovirt.org/#/c/83286/


Note You need to log in before you can comment on or make changes to this bug.